ipe::Fonts Class Reference
Ipe Cairo interface

`#include <ipefonts.h>`

## Public Member Functions

| ~Fonts ()
Face * | getFace (const PdfDict *d)
const PdfResources * | resources () const noexcept

## Static Public Member Functions

static Fonts * | New (const PdfResources *resources)
static cairo_font_face_t * | screenFont ()
static String | freetypeVersion ()

## Detailed Description

Provides the fonts used to render text.

## Constructor & Destructor Documentation

Fonts::~Fonts | ( |  | ) |

Delete all the loaded Faces.

## Member Function Documentation

Fonts * Fonts::New | ( | const PdfResources * | resources | ) |

static

Referenced by ipe::CanvasBase::setResources(), and ipe::Thumbnail::Thumbnail().

Face * Fonts::getFace | ( | const PdfDict * | d | ) |

Get a typeface.

Corresponds to a Freetype "face", or a PDF font resource. A Face can be loaded at various sizes (transformations), resulting in individual FaceSize's.

cairo_font_face_t * Fonts::screenFont | ( |  | ) |

static

Return a Cairo font to render to the screen w/o Latex font.

Referenced by ipe::CairoPainter::doDrawText().

String Fonts::freetypeVersion | ( |  | ) |

static

const PdfResources* ipe::Fonts::resources | ( |  | ) | const

inline noexcept

The documentation for this class was generated from the following files:

- ipefonts.h
- ipefonts.cpp